Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Get the help center table of contents

Returns the documentation structure as breadcrumb groups with stable slugs, localized titles, and locale availability. Optionally scope the response to one subtree with rootPath.

GET/help-center/toc
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Query parameters
rootPathstring

Optional documentation subtree path.

Responses
200

Help center documentation structure

groupsHelpCenterTocGroupDto[]required
Show properties
Array of HelpCenterTocGroupDto
articlesHelpCenterTocArticleDto[]required
Show properties
Array of HelpCenterTocArticleDto
availableLocalesstring[]required
slugstringrequired
titlesHelpCenterLocalizedValueDtorequired
Show properties
destring
enstring
breadcrumbstring[]required
rootPathstring
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

502

Documentation structure request failed upstream

503

Help center search is not configured on this server

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://leadtime.app/api/public/help-center/toc" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "groups": [
    {
      "articles": [
        {
          "availableLocales": [
            "de",
            "en"
          ],
          "slug": "administration/task-settings/custom-task-types",
          "titles": {
            "de": "Aufgabentypen",
            "en": "Task types"
          }
        }
      ],
      "breadcrumb": [
        "administration",
        "task-settings"
      ]
    }
  ],
  "rootPath": "administration/task-settings"
}